import { request } from '@/api';

// 获取节假日列表
export async function getHolidayList(): Promise<any> {
  return request.get<any>('/contractVariety/getHolidayList')
}

// 添加节假日
export async function addHoliday(params: any): Promise<any> {
  return request.post<any>('/contractVariety/addHoliday', { ...params })
}

//编辑节假日
export async function editHoliday(params: any): Promise<any> {
  return request.post<any>('/contractVariety/editHoliday', { ...params })
}

// 删除节假日
export async function delHoliday(params: any): Promise<any> {
  return request.post<any>('/contractVariety/delHoliday', { ...params })
}
